Bug 620872 - sqlite3.OperationalError: cannot join using column pkgtupid - column not present in both tables
Summary: sqlite3.OperationalError: cannot join using column pkgtupid - column not pres...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 16:41 UTC by Andre Robatino
Modified: 2014-01-21 23:16 UTC (History)
6 users (show)

Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (41 bytes, text/plain)
2010-08-05 20:49 UTC, Till Maas
no flags Details
root.log from mock with this error (20.51 KB, text/plain)
2010-08-05 20:52 UTC, Till Maas
no flags Details
Output of "yum install php-channel-symfony" (5.02 KB, text/plain)
2010-08-06 12:53 UTC, Christopher Beland
no flags Details

Description Andre Robatino 2010-08-03 16:41:10 UTC
Description of problem:
When attempting to do an update using local files, I get a traceback:

[root@localhost andre]# yum localupdate tzdata-* --nogpgcheck
Loaded plugins: presto, protect-packages, refresh-packagekit, security
Setting up Local Package Process
Examining tzdata-2010k-1.fc12.noarch.rpm: tzdata-2010k-1.fc12.noarch
Marking tzdata-2010k-1.fc12.noarch.rpm as an update to tzdata-2010j-1.fc12.noarch
Examining tzdata-java-2010k-1.fc12.noarch.rpm: tzdata-java-2010k-1.fc12.noarch
Marking tzdata-java-2010k-1.fc12.noarch.rpm as an update to tzdata-java-2010j-1.fc12.noarch
Resolving Dependencies
--> Running transaction check
---> Package tzdata.noarch 0:2010k-1.fc12 set to be updated
---> Package tzdata-java.noarch 0:2010k-1.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch     Version        Repository                          Size
================================================================================
Updating:
 tzdata        noarch   2010k-1.fc12   /tzdata-2010k-1.fc12.noarch        1.8 M
 tzdata-java   noarch   2010k-1.fc12   /tzdata-java-2010k-1.fc12.noarch   274 k

Transaction Summary
================================================================================
Upgrade       2 Package(s)

Total size: 2.1 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 196, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 544, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1334, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 503, in beg
    self._trans_cmdline(cmdline)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 465, in _trans_cmdline
    if cur is None or not self._update_db_file_2():
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 950, in _update_db_file_2
    cur.execute(op)
sqlite3.OperationalError: cannot join using column pkgtupid - column not present in both tables
[root@localhost andre]#

I then did the update successfully using the rpm command directly.  A subsequent yum downgrade also worked.

Version-Release number of selected component (if applicable):
yum-3.2.28-1.fc12.noarch from updates-testing

How reproducible:
not checked

Comment 1 James Antill 2010-08-03 17:36:50 UTC
Should get this fixed today ... but note that the error comes from a conversion yum is running, so running the same command again will work.

Comment 2 Till Maas 2010-08-05 20:49:55 UTC
Created attachment 436974 [details]
root.log

This breaks mock for me:

DEBUG util.py:256:  Traceback (most recent call last):
DEBUG util.py:256:    File "/usr/bin/yum", line 29, in <module>
DEBUG util.py:256:      yummain.user_main(sys.argv[1:], exit_code=True)
DEBUG util.py:256:    File "/usr/share/yum-cli/yummain.py", line 258, in user_main
DEBUG util.py:256:      errcode = main(args)
DEBUG util.py:256:    File "/usr/share/yum-cli/yummain.py", line 196, in main
DEBUG util.py:256:      return_code = base.doTransaction()
DEBUG util.py:256:    File "/usr/share/yum-cli/cli.py", line 456, in doTransaction
DEBUG util.py:256:      problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb) 
DEBUG util.py:256:    File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1743, in downloadPkgs
DEBUG util.py:256:      self.history.close()
DEBUG util.py:256:    File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 845, in <lambda>
DEBUG util.py:256:      history = property(fget=lambda self: self._getHistory(),
DEBUG util.py:256:    File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 810, in _getHistory
DEBUG util.py:256:      db_path=pdb_path)
DEBUG util.py:256:    File "/usr/lib/python2.6/site-packages/yum/history.py", line 270, in __init__
DEBUG util.py:256:      self._create_db_file()
DEBUG util.py:256:    File "/usr/lib/python2.6/site-packages/yum/history.py", line 1018, in _create_db_file
DEBUG util.py:256:      cur.execute(op)
DEBUG util.py:256:  sqlite3.OperationalError: cannot join using column pkgtupid - column not present in both tables

I removed everything from /var/{cache,lib}/mock and it did not help.

Comment 3 Till Maas 2010-08-05 20:52:50 UTC
Created attachment 436975 [details]
root.log from mock with this error

Comment 4 Christopher Beland 2010-08-06 12:53:04 UTC
Created attachment 437137 [details]
Output of "yum install php-channel-symfony"

I got the same error with "yum install php-channel-symfony".  Repeating the command did succeed in performing the install.

Comment 5 Fedora Update System 2010-08-09 19:55:32 UTC
yum-3.2.28-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12

Comment 6 Fedora Update System 2010-08-09 19:56:09 UTC
yum-3.2.28-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14

Comment 7 Fedora Update System 2010-08-09 19:56:37 UTC
yum-3.2.28-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13

Comment 8 Fedora Update System 2010-08-10 21:45:38 UTC
yum-3.2.28-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13

Comment 9 Fedora Update System 2010-08-12 04:10:53 UTC
yum-3.2.28-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12

Comment 10 Fedora Update System 2010-08-12 19:58:29 UTC
yum-3.2.28-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14

Comment 11 Fedora Update System 2010-08-12 20:17:03 UTC
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12

Comment 12 Fedora Update System 2010-08-12 20:19:27 UTC
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13

Comment 13 Fedora Update System 2010-08-12 20:21:48 UTC
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14

Comment 14 Fedora Update System 2010-08-17 05:47:10 UTC
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-08-20 02:20:44 UTC
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-08-24 01:38:22 UTC
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.